main {
  min-height: 100dvh;
}

/* Banner */
#banner-container {
  position: relative;
  width: 100%;
  padding-bottom: 20%;
  overflow: hidden;
}

.skeleton {
  animation: skeleton-loading 1s linear infinite alternate;
}

.skeleton-title {
  width: 15%;
  height: 3rem;
  margin-bottom: 2.5rem;
  border-radius: 0.8rem;
}

.skeleton-subtitle {
  width: 25%;
  height: 3rem;
  margin-bottom: 2.5rem;
  border-radius: 0.8rem;
}

.skeleton-text {
  width: 100%;
  height: 2.5rem;
  margin-bottom: 2.5rem;
  border-radius: 0.8rem;
}

/* Back to top */
#btn-scroll-to-bottom {
  position: fixed;
  bottom: 2rem;
  right: 2rem;
}

.button-icon {
  color: var(--hr-gray);
  background-color: var(--hr-white);
  transition: color 0.2s ease-in-out, background-color 0.2s ease-in-out,
    border-color 0.2s ease-in-out, box-shadow 0.2s ease-in-out;
}

.button-youtube:hover,
.button-youtube:active,
.button-youtube:focus-visible {
  color: #ff0000 !important;
}

.button-linkedin:hover,
.button-linkedin:active,
.button-linkedin:focus-visible {
  color: #0077b5 !important;
}

.button-x:hover,
.button-x:active,
.button-x:focus-visible {
  color: #000 !important;

}

.button-facebook:hover,
.button-facebook:active,
.button-facebook:focus-visible {
  color: #1877f2 !important;
}

.button-instagram:hover,
.button-instagram:active,
.button-instagram:focus-visible {
  color: #ea4c89 !important;
}

.dragging {
  background-color: var(--hr-gray-lighter) !important;
}

.footer-link {
  color: var(--hr-gray);
  transition: color 0.2s ease-in-out;
}

.footer-link:hover {
  color: var(--hr-secondary);
}

.animate-fade-in {
  animation: fadeIn 0.4s ease-out forwards;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(5px);
  }

  to {
    opacity: 1;
      transform: translateY(0);
    }
}  

.animated-icon {
  animation: pulse 1.5s infinite alternate;
}

@keyframes pulse {
  0% {
    transform: scale(1);
    opacity: 0.7;
  }

  100% {
    transform: scale(1.1);
    opacity: 1;
  }
}
